| Home | Libraries | People | FAQ | More

###### row_view::as_vector (2 of 2 overloads)

Converts the row into a `std::vector` of `field`'s.

###### Synopsis

    std::vector< field >
    as_vector() const;

###### Description

As `row` objects are read-only, you can use this function if you need to mutate fields in a row.

###### Exception safety

Basic guarantee. Allocations may throw.

###### Complexity

Linear in `this->size()`.